-- RECIV_Levittown_Gameplay
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,											Kind)
VALUES	('DISTRICT_JNR_LEVITTOWN',						'KIND_DISTRICT'),
		('TRAIT_CIVILIZATION_DISTRICT_JNR_LEVITTOWN',	'KIND_TRAIT');
--------------------------------------------------------------

-- Traits
--------------------------------------------------------------
INSERT OR IGNORE INTO Traits
		(TraitType,										Name,								Description)
VALUES	('TRAIT_CIVILIZATION_DISTRICT_JNR_LEVITTOWN',	'LOC_DISTRICT_JNR_LEVITTOWN_NAME',	'LOC_DISTRICT_JNR_LEVITTOWN_DESCRIPTION');
--------------------------------------------------------------

-- CivilizationTraits
--------------------------------------------------------------
INSERT OR IGNORE INTO CivilizationTraits
		(CivilizationType,			TraitType)
VALUES	('CIVILIZATION_AMERICA',	'TRAIT_CIVILIZATION_DISTRICT_JNR_LEVITTOWN');
--------------------------------------------------------------

-- Districts
--------------------------------------------------------------
INSERT INTO Districts
		(DistrictType,				PrereqTech, PrereqCivic, Housing,	TraitType,										Name,								Description,								OnePerCity, AllowsHolyCity,	Appeal,	Cost,	CostProgressionModel, CostProgressionParam1, Maintenance, RequiresPlacement, RequiresPopulation, Aqueduct, NoAdjacentCity, InternalOnly, CaptureRemovesBuildings, CaptureRemovesCityDefenses, MilitaryDomain, CityStrengthModifier, PlunderType, PlunderAmount, AdvisorType)
SELECT	'DISTRICT_JNR_LEVITTOWN',	PrereqTech, PrereqCivic, 3,			'TRAIT_CIVILIZATION_DISTRICT_JNR_LEVITTOWN',	'LOC_DISTRICT_JNR_LEVITTOWN_NAME',	'LOC_DISTRICT_JNR_LEVITTOWN_DESCRIPTION',	OnePerCity, AllowsHolyCity,	Appeal,	Cost/2, CostProgressionModel, CostProgressionParam1, Maintenance, RequiresPlacement, RequiresPopulation, Aqueduct, NoAdjacentCity, InternalOnly, CaptureRemovesBuildings, CaptureRemovesCityDefenses, MilitaryDomain, CityStrengthModifier, PlunderType, PlunderAmount, AdvisorType
FROM	Districts
WHERE	DistrictType='DISTRICT_NEIGHBORHOOD';
--------------------------------------------------------------

-- DistrictReplaces
--------------------------------------------------------------
INSERT OR IGNORE INTO DistrictReplaces
		(CivUniqueDistrictType,		ReplacesDistrictType)
VALUES	('DISTRICT_JNR_LEVITTOWN',	'DISTRICT_NEIGHBORHOOD');
--------------------------------------------------------------

-- MomentIllustrations
--------------------------------------------------------------
--INSERT OR IGNORE INTO MomentIllustrations
		--(MomentIllustrationType,				MomentDataType,			GameDataType,				Texture)
--VALUES	('MOMENT_ILLUSTRATION_UNIQUE_DISTRICT',	'MOMENT_DATA_DISTRICT',	'DISTRICT_JNR_LEVITTOWN',	'MomentJNR_Levittown.dds');

INSERT OR IGNORE INTO MomentIllustrations
		(MomentIllustrationType,				MomentDataType,			GameDataType,				Texture)
VALUES	('MOMENT_ILLUSTRATION_UNIQUE_DISTRICT',	'MOMENT_DATA_DISTRICT',	'DISTRICT_JNR_LEVITTOWN',	'Moment_DistrictBuiltNeighborhood.dds');
--------------------------------------------------------------

-- District_TradeRouteYields
--------------------------------------------------------------
INSERT OR IGNORE INTO District_TradeRouteYields
		(DistrictType,				YieldType,	YieldChangeAsOrigin,	YieldChangeAsDomesticDestination,	YieldChangeAsInternationalDestination)
SELECT	'DISTRICT_JNR_LEVITTOWN',	YieldType,	YieldChangeAsOrigin,	YieldChangeAsDomesticDestination,	YieldChangeAsInternationalDestination
FROM	District_TradeRouteYields
WHERE	DistrictType='DISTRICT_NEIGHBORHOOD';
--------------------------------------------------------------

-- District_CitizenYieldChanges
--------------------------------------------------------------
INSERT OR IGNORE INTO District_CitizenYieldChanges
		(DistrictType,				YieldType,	YieldChange)
SELECT	'DISTRICT_JNR_LEVITTOWN',	YieldType,	YieldChange
FROM	District_CitizenYieldChanges
WHERE	DistrictType='DISTRICT_NEIGHBORHOOD';
--------------------------------------------------------------

-- District_GreatPersonPoints
--------------------------------------------------------------
INSERT OR IGNORE INTO District_GreatPersonPoints
		(DistrictType,				GreatPersonClassType,	PointsPerTurn)
SELECT	'DISTRICT_JNR_LEVITTOWN',	GreatPersonClassType,	PointsPerTurn
FROM	District_GreatPersonPoints
WHERE	DistrictType='DISTRICT_NEIGHBORHOOD';
--------------------------------------------------------------

-- Adjacency_YieldChanges
--------------------------------------------------------------
INSERT OR IGNORE INTO Adjacency_YieldChanges
		(ID,							YieldType,			YieldChange,	TilesRequired,	Description,								AdjacentDistrict)
VALUES	('JNR_Levittown_Food',			'YIELD_FOOD',		1,				1,				'LOC_DISTRICT_LEVITTOWN_FOOD_JNR',			'DISTRICT_JNR_LEVITTOWN'),
		('JNR_Levittown_Production',	'YIELD_PRODUCTION',	1,				1,				'LOC_DISTRICT_LEVITTOWN_PRODUCTION_JNR',	'DISTRICT_JNR_LEVITTOWN'),
		('JNR_Levittown_Gold',			'YIELD_GOLD',		1,				1,				'LOC_DISTRICT_LEVITTOWN_GOLD_JNR',			'DISTRICT_JNR_LEVITTOWN'),
		('JNR_Levittown_Science',		'YIELD_SCIENCE',	1,				1,				'LOC_DISTRICT_LEVITTOWN_SCIENCE_JNR',		'DISTRICT_JNR_LEVITTOWN'),
		('JNR_Levittown_Culture',		'YIELD_CULTURE',	1,				1,				'LOC_DISTRICT_LEVITTOWN_CULTURE_JNR',		'DISTRICT_JNR_LEVITTOWN'),
		('JNR_Levittown_Faith',			'YIELD_FAITH',		1,				1,				'LOC_DISTRICT_LEVITTOWN_FAITH_JNR',			'DISTRICT_JNR_LEVITTOWN');
--------------------------------------------------------------

-- District_Adjacencies
--------------------------------------------------------------
INSERT OR IGNORE INTO District_Adjacencies
		(DistrictType,	YieldChangeId)
SELECT	DistrictType,	'JNR_Levittown_Food'
FROM	District_Adjacencies
WHERE	YieldChangeId='District_Food'
		AND DistrictType IN (SELECT DistrictType FROM Districts WHERE TraitType IS NULL);

INSERT OR IGNORE INTO District_Adjacencies
		(DistrictType,	YieldChangeId)
SELECT	DistrictType,	'JNR_Levittown_Production'
FROM	District_Adjacencies
WHERE	YieldChangeId='District_Production'
		AND DistrictType IN (SELECT DistrictType FROM Districts WHERE TraitType IS NULL);

INSERT OR IGNORE INTO District_Adjacencies
		(DistrictType,	YieldChangeId)
SELECT	DistrictType,	'JNR_Levittown_Gold'
FROM	District_Adjacencies
WHERE	YieldChangeId='District_Gold'
		AND DistrictType IN (SELECT DistrictType FROM Districts WHERE TraitType IS NULL);

INSERT OR IGNORE INTO District_Adjacencies
		(DistrictType,	YieldChangeId)
SELECT	DistrictType,	'JNR_Levittown_Science'
FROM	District_Adjacencies
WHERE	YieldChangeId='District_Science'
		AND DistrictType IN (SELECT DistrictType FROM Districts WHERE TraitType IS NULL);

INSERT OR IGNORE INTO District_Adjacencies
		(DistrictType,	YieldChangeId)
SELECT	DistrictType,	'JNR_Levittown_Culture'
FROM	District_Adjacencies
WHERE	YieldChangeId='District_Culture'
		AND DistrictType IN (SELECT DistrictType FROM Districts WHERE TraitType IS NULL);

INSERT OR IGNORE INTO District_Adjacencies
		(DistrictType,	YieldChangeId)
SELECT	DistrictType,	'JNR_Levittown_Faith'
FROM	District_Adjacencies
WHERE	YieldChangeId='District_Faith'
		AND DistrictType IN (SELECT DistrictType FROM Districts WHERE TraitType IS NULL);
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,							RequirementType)
VALUES	('REQUIRES_PLAYER_HAS_COMBUSTION_JNR',	'REQUIREMENT_PLAYER_HAS_TECHNOLOGY');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,							Name,				Value)
VALUES	('REQUIRES_PLAYER_HAS_COMBUSTION_JNR',	'TechnologyType',	'TECH_COMBUSTION');
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,				RequirementSetType)
VALUES	('PLAYER_HAS_COMBUSTION_JNR',	'REQUIREMENTSET_TEST_ALL');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,				RequirementId)
VALUES	('PLAYER_HAS_COMBUSTION_JNR',	'REQUIRES_PLAYER_HAS_COMBUSTION_JNR');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,						ModifierType,						SubjectRequirementSetId)
VALUES	('LEVITTOWN_JNR_GRANT_ROADS',		'MODIFIER_GRANT_ROUTE_IN_RADIUS',	'PLAYER_HAS_COMBUSTION_JNR');

INSERT OR IGNORE INTO Modifiers
		(ModifierId,						ModifierType)		
VALUES	('LEVITTOWN_JNR_GOLD_APPEAL_01',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_02',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_03',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_04',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_05',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_06',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_07',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_08',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_09',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_10',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_11',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_12',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_13',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_14',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_15',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_16',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_17',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_18',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_19',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_20',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_21',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_22',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_23',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_24',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_25',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_26',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_27',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_28',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_29',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_30',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_31',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_32',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_33',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_34',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_35',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_36',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_37',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_38',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_39',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL'),
		('LEVITTOWN_JNR_GOLD_APPEAL_40',	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,						Name,				Value)
VALUES	('LEVITTOWN_JNR_GRANT_ROADS',		'RouteType',		'ROUTE_MODERN_ROAD'),
		('LEVITTOWN_JNR_GRANT_ROADS',		'Radius',			1),
		('LEVITTOWN_JNR_GOLD_APPEAL_01',	'Description',		'LOC_DISTRICT_LEVITTOWN_APPEAL_GOLD');

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,						Name,				Value)
SELECT	ModifierId,							'DistrictType',		'DISTRICT_JNR_LEVITTOWN'
FROM	Modifiers
WHERE	ModifierId LIKE 'LEVITTOWN_JNR_GOLD_APPEAL_%';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,						Name,				Value)
SELECT	ModifierId,							'RequiredAppeal',	SUBSTR(ModifierId,27)
FROM	Modifiers
WHERE	ModifierId LIKE 'LEVITTOWN_JNR_GOLD_APPEAL_%';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,						Name,				Value)
SELECT	ModifierId,							'YieldType',		'YIELD_GOLD'
FROM	Modifiers
WHERE	ModifierId LIKE 'LEVITTOWN_JNR_GOLD_APPEAL_%';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,						Name,				Value)
SELECT	ModifierId,							'YieldChange',		1
FROM	Modifiers
WHERE	ModifierId LIKE 'LEVITTOWN_JNR_GOLD_APPEAL_%';
--------------------------------------------------------------

-- DistrictModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,				ModifierId)
VALUES	('DISTRICT_JNR_LEVITTOWN',	'LEVITTOWN_JNR_GRANT_ROADS');
--------------------------------------------------------------

-- TraitModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO TraitModifiers
		(TraitType,										ModifierId)
SELECT	'TRAIT_CIVILIZATION_DISTRICT_JNR_LEVITTOWN',	ModifierId
FROM	Modifiers
WHERE	ModifierId LIKE 'LEVITTOWN_JNR_GOLD_APPEAL_%';
--------------------------------------------------------------